CVE-2022-31033

Authorization header leak on port redirect in mechanize in gem/mechanize

Identifiers

CVE-2022-31033, GHSA-64qm-hrgp-pgr9

Package Slug

gem/mechanize

Vulnerability

Authorization header leak on port redirect in mechanize

Description

The Mechanize library is used for automating interaction with websites. Mechanize automatically stores and sends cookies, follows redirects, and can follow links and submit forms. In versions prior to 2.8.5 the Authorization header is leaked after a redirect to a different port on the same site. Users are advised to upgrade to Mechanize v2.8.5 or later. There are no known workarounds for this issue.

Affected Versions

All versions before 2.8.5

Solution

Upgrade to version 2.8.5 or above.

Last Modified

2022-06-10

source